# $Revision: 1.4 $, $Date: 2012/02/11 11:03:01 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Version
%define		pnam	Requirements
%include	/usr/lib/rpm/macros.perl
Summary:	Version::Requirements - a set of version requirements for a CPAN dist
Summary(pl.UTF-8):	Version::Requirements - zbiór wersjonowanych wymagań dla dystrybucji CPAN
Name:		perl-Version-Requirements
Version:	0.101022
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RJ/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	74e8a660969e30ffbb64999806c0769c
URL:		http://search.cpan.org/dist/Version-Requirements/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-version >= 0.77
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Version::Requirements object models a set of version constraints
like those specified in the META.yml or META.json files in CPAN
distributions. It can be built up by adding more and more constraints,
and it will reduce them to the simplest representation.

Logically impossible constraints will be identified immediately by
thrown exceptions.

%description -l pl.UTF-8
Obiekt Version::Requirements modeluje zbiór wersjonowanych wymagań,
jak te podawane w plikach META.yml lub META.json w dystrybucjach CPAN.
Może być tworzony w oparciu o dodawanie kolejnych ograniczeń, a on
zredukuje je do najprostszej postaci.

Logicznie wykluczające się ograniczenia są natychmiast zgłaszane przez
rzucenie wyjątku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Version
%{perl_vendorlib}/Version/Requirements.pm
%{_mandir}/man3/Version::Requirements.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Version-Requirements.spec,v $
Revision 1.4  2012/02/11 11:03:01  zbyniu
- up to 0.101022

Revision 1.3  2012/01/15 19:44:12  zbyniu
- up to 0.101021

Revision 1.2  2011/03/12 07:52:43  qboosh
- pl
- filled BRs

Revision 1.1  2011/03/10 11:26:51  lisu
- init, created by pldcpan.pl script
